import { h, c as Host, r as registerInstance } from './index-38ad4957.js';
import { n as h$1 } from './dom-context-hooks.module-50442785.js';
import './index.module-b23fdad8.js';
import { a as useRequestRerender } from './re-render-f30aeb6b.js';

const TabView = ({}, children) => {
  return h(Host, null, children);
};

const Tab = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    h$1(this);
  }
  disconnectedCallback() { }
  render() {
    useRequestRerender([this.header]);
    return (h(TabView, null, h("slot", null)));
  }
};

export { Tab as sqm_tab };
